# fdrepdlg.h File Reference

## Classes

class | wxFindReplaceData
| wxFindReplaceData holds the data for wxFindReplaceDialog. More...
class | wxFindReplaceDialog
| wxFindReplaceDialog is a standard modeless dialog which is used to allow the user to search for some text (and possibly replace it with something else). More...

## Enumerations

enum | wxFindReplaceFlags { wxFR_DOWN = 1, wxFR_WHOLEWORD = 2, wxFR_MATCHCASE = 4 }
| See wxFindDialogEvent::GetFlags(). More...

## Variables

enum wxFindReplaceFlags | wxFR_REPLACEDIALOG
| See wxFindDialogEvent::GetFlags().
enum wxFindReplaceFlags | wxFR_NOUPDOWN
| don't allow changing the search direction
enum wxFindReplaceFlags | wxFR_NOMATCHCASE
| don't allow case sensitive searching
enum wxFindReplaceFlags | wxFR_NOWHOLEWORD
| don't allow whole word searching

## Enumeration Type Documentation

enum wxFindReplaceFlags

See wxFindDialogEvent::GetFlags().

Enumerator:

  wxFR_DOWN | downward search/replace selected (otherwise - upwards)
  wxFR_WHOLEWORD | whole word search/replace selected
  wxFR_MATCHCASE | case sensitive search/replace selected (otherwise - case insensitive)

## Variable Documentation

enum wxFindReplaceFlags wxFR_NOMATCHCASE

don't allow case sensitive searching

enum wxFindReplaceFlags wxFR_NOUPDOWN

don't allow changing the search direction

enum wxFindReplaceFlags wxFR_NOWHOLEWORD

don't allow whole word searching

enum wxFindReplaceFlags wxFR_REPLACEDIALOG

See wxFindDialogEvent::GetFlags().

These flags can be specified in wxFindReplaceDialog ctor or Create(): replace dialog (otherwise find dialog)

|  | [ top ]